/*
   This program reads one character at a time from standard input,
   takes each vowel and changes its case, and then writes each
   character to standard output.

   When using Windows, if standard input is the console
   keyboard, use ^z (Control-z) to denote the end of file
   (and you must use ^z at the beginning of a line!).
*/
#include <stdio.h>

int main()
{
   int c;
   while ( (c = getchar()) != EOF )
   {
      if ( c == 'a'
        || c == 'e'
        || c == 'i'
        || c == 'o'
        || c == 'u' )
      {
         c -= 32; // to upper case
      }
      else if ( c == 'A'
             || c == 'E'
             || c == 'I'
             || c == 'O'
             || c == 'U' )
      {
         c += 32; // to lower case
      }

      printf("%c", c);
      fflush(stdout);
   }
   return 0;
}
